#![allow(dead_code)]

use std::time::Duration;

use bevy::{app::ScheduleRunnerPlugin, prelude::*};
use lib_client::{display::DisplayPlugin, input::InputPlugin, net::NetPlugin};

mod common;
mod lib_client;

fn main() {
	App::new()
		// Core.
		.add_plugins(ScheduleRunnerPlugin::run_loop(Duration::from_millis(10)))
		.add_plugins(NetPlugin)
		.add_plugins(DisplayPlugin)
		.add_plugins(InputPlugin)
		.run();
}
