use bevy::prelude::*;

pub struct CounterPlugin;

impl Plugin for CounterPlugin {
	fn build(&self, app: &mut App) {
		app.add_systems(Startup, sys_setup_counter)
			.add_systems(Update, sys_count);
	}
}

#[derive(Debug, Component)]
struct Counter(usize);

fn sys_count(mut query: Query<&mut Counter>) {
	for mut c in &mut query {
		println!("{c:?}");
		c.0 += 1;
	}
}

fn sys_setup_counter(mut commands: Commands) {
	commands.spawn(Counter(0));
}
